### Hierarchy

- unknown
  - RemovedPayloadsMap

## Index

### Constructors

- constructor

### Methods

- clearDateByHashesMap
- getDateByHashesMap
- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RemovedPayloadsMap(): RemovedPayloadsMap

- Inherited from jspb.Message.constructor

  #### Returns RemovedPayloadsMap

## Methods

### clearDateByHashesMap

- clearDateByHashesMap(): RemovedPayloadsMap

- - Defined in src/protobuf/pb_pb.d.ts:2664

  #### Returns RemovedPayloadsMap

### getDateByHashesMap

- getDateByHashesMap(): Map<string, number>

- - Defined in src/protobuf/pb_pb.d.ts:2663

  #### Returns Map<string, number>

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2666

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): RemovedPayloadsMap . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2667

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RemovedPayloadsMap . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemovedPayloadsMap

- - Defined in src/protobuf/pb_pb.d.ts:2670

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemovedPayloadsMap

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemovedPayloadsMap, reader: BinaryReader): RemovedPayloadsMap

- - Defined in src/protobuf/pb_pb.d.ts:2671

  #### Parameters

  - ##### message: RemovedPayloadsMap

  - ##### reader: BinaryReader

  #### Returns RemovedPayloadsMap

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RemovedPayloadsMap, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2669

  #### Parameters

  - ##### message: RemovedPayloadsMap

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RemovedPayloadsMap ): RemovedPayloadsMap . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2668

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemovedPayloadsMap

  #### Returns RemovedPayloadsMap . AsObject

Generated using TypeDoc